| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.PropagPreciseConf Class Reference

Class for reading configuration file for numerical propagator. More...

Inheritance diagram for EECFI.PropagPreciseConf:

List of all members.

## Public Member Functions
| PropagPreciseConf ()
| Constructor.
| PropagPreciseConf (boolean userFlagIn, String modelsPathIn, boolean gravFlag, boolean thirdFlag, boolean atmFlag, boolean solarRadFlag, double stepIn, String gravFileIn, long gravDeg, long gravOrd, boolean sgaFlagIn, String apFile, String f107File, double apIn, double f107In, double f107aIn, double satMass, double satDragA, double satDragC, double satSrpA, double satSrpC)
| Constructor with parameters.
native void | read (final String preciseConfFile) throws CfiError
| Read the numerical propagator configuration file data block.
## Public Attributes
String | modelsPath
| Path where files neccesary for models are looked for.
boolean | gravityFlag
| Gravity perturbation used (1) or not (0).
boolean | thirdbodyFlag
| Third bodies perturbation used (1) or not (0).
boolean | atmosFlag
| Atmosphere perturbation used (1) or not (0).
boolean | srpFlag
| Solar radiation pressure perturbation used (1) or not (0).
double | step
| Simulation step [s].
String | gravFile
| File with data of gravitational model.
long | gravDegree
| Degree used gravity model.
long | gravOrder
| Order used in gravity model.
boolean | sgaFlag
| Parameters used (0) or data read from file (1).
String | sgaApFile
| File with Geomagnetic Activity index values.
String | sgaF107File
| File with F10.7 Solar Activity index values.
double | ap
| Geomagnetic Activity Index (daily value).
double | f107
| F10.7 Index Solar Activy Index (daily value).
double | f107a
| F10.7 Index Solar Activy Index (value averaged over 3 months).
double | scMass
| S/C mass [kg].
double | scDragArea
| S/C effective drag area [m^2].
double | scDragCoeff
| S/C drag coefficient [adim].
double | scSrpArea
| S/C effective SRP area [m^2].
double | scSrpCoeff
| S/C SRP coefficient [adim].

## Detailed Description

Class for reading configuration file for numerical propagator.

## Constructor & Destructor Documentation

EECFI.PropagPreciseConf.PropagPreciseConf | ( |  | ) |

Constructor.

EECFI.PropagPreciseConf.PropagPreciseConf | ( | boolean | userFlagIn,
|  | String | modelsPathIn,
|  | boolean | gravFlag,
|  | boolean | thirdFlag,
|  | boolean | atmFlag,
|  | boolean | solarRadFlag,
|  | double | stepIn,
|  | String | gravFileIn,
|  | long | gravDeg,
|  | long | gravOrd,
|  | boolean | sgaFlagIn,
|  | String | apFile,
|  | String | f107File,
|  | double | apIn,
|  | double | f107In,
|  | double | f107aIn,
|  | double | satMass,
|  | double | satDragA,
|  | double | satDragC,
|  | double | satSrpA,
|  | double | satSrpC |
| ) |  |  |

Constructor with parameters.

## Member Function Documentation

native void EECFI.PropagPreciseConf.read | ( | final String | preciseConfFile | ) | throws CfiError

Read the numerical propagator configuration file data block.

## Member Data Documentation

double EECFI.PropagPreciseConf.ap

Geomagnetic Activity Index (daily value).

boolean EECFI.PropagPreciseConf.atmosFlag

Atmosphere perturbation used (1) or not (0).

double EECFI.PropagPreciseConf.f107

F10.7 Index Solar Activy Index (daily value).

double EECFI.PropagPreciseConf.f107a

F10.7 Index Solar Activy Index (value averaged over 3 months).

long EECFI.PropagPreciseConf.gravDegree

Degree used gravity model.

String EECFI.PropagPreciseConf.gravFile

File with data of gravitational model.

boolean EECFI.PropagPreciseConf.gravityFlag

Gravity perturbation used (1) or not (0).

long EECFI.PropagPreciseConf.gravOrder

Order used in gravity model.

String EECFI.PropagPreciseConf.modelsPath

Path where files neccesary for models are looked for.

double EECFI.PropagPreciseConf.scDragArea

S/C effective drag area [m^2].

double EECFI.PropagPreciseConf.scDragCoeff

S/C drag coefficient [adim].

double EECFI.PropagPreciseConf.scMass

S/C mass [kg].

double EECFI.PropagPreciseConf.scSrpArea

S/C effective SRP area [m^2].

double EECFI.PropagPreciseConf.scSrpCoeff

S/C SRP coefficient [adim].

String EECFI.PropagPreciseConf.sgaApFile

File with Geomagnetic Activity index values.

String EECFI.PropagPreciseConf.sgaF107File

File with F10.7 Solar Activity index values.

boolean EECFI.PropagPreciseConf.sgaFlag

Parameters used (0) or data read from file (1).

boolean EECFI.PropagPreciseConf.srpFlag

Solar radiation pressure perturbation used (1) or not (0).

double EECFI.PropagPreciseConf.step

Simulation step [s].

boolean EECFI.PropagPreciseConf.thirdbodyFlag

Third bodies perturbation used (1) or not (0).